* {
	font-family: Arial, Helvetica, sans-serif;
	font-family: poppins, sans-serif;
	font-weight: 400;
}
body {
	margin: 0;
	background: #3a3a3a url("/img/bg.jpg");
   background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: center top; 
}
.home-logo {
	text-align: center;
}
.home-logo img {
	width: 80%;
	height: auto;
}
.play-logo {
	text-align: center;
}
.play-logo img {
	width: 200px;
  margin-top: 30px;
	height: auto;
}
main {
	width: 100vw;
	h_eight: 100vh;
	padding-bottom: 200px;
}
p {
	margin: 0;
}
.msg-screen {
	display: none;
	position: absolute;
	z-index: 100;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
}
#login-screen {
	display: block;
}
.game-msg-container{
	display: block;
	margin: 0 auto;
	margin-top: 10%;
	padding: 50px 2%;
	width: 500px;
	height: auto;
	text-align: center;
	font-size: 1.5rem;
	border-radius: 20px;
	background-color: white;
	box-shadow: -1px -1px 5px 2px rgba(0, 0, 0, 0.075);
}
#loginGoogle {
	width: 350px;
	background-color: rgb(104, 96, 230);
	border: 5px solid rgb(104, 96, 230);
}
#loginGoogle, .gameOver-btn {
	display: block;
	margin: 0 auto;
	margin-top: 30px;
	border-radius: 30px;
	font-size: 2rem;
	font-weight: 600;
	color: white;
	box-shadow: -1px -1px 5px 2px rgba(0, 0, 0, 0.075);
	transition: .5s ease;
}
/* color styling PLAYAGAIN btn */
#playAgain {
	width: 300px;
	background-color: turquoise;
	border: 5px solid turquoise;
}
#playAgain:hover {
	background-color: rgb(56, 199, 185);
	border: 5px solid rgb(56, 199, 185);
	box-shadow: -1px -1px 5px 5px rgba(0, 0, 0, 0.15);
}
/* color styling CLOSE btn */
#closeWindow{
	width: 300px;
	background-color: rgb(255, 65, 22);
	border: 5px solid rgb(255, 65, 22);
}
#closeWindow:hover{
	background-color: rgb(205, 53, 19);
	border: 5px solid rgb(205, 53, 19);
	box-shadow: -1px -1px 5px 5px rgba(0, 0, 0, 0.15);
}#gameOver-msg-container a {
	font-size: 1rem;
	color: rgb(104, 96, 230);
}#goodbye {
	display: none;
	text-align: center;
}#goodbye p{
	margin: 20px;
}
.container {
	/* holds everything but CHAT */
	position: fixed;
	left: 0;
	top: 0;
	width: 80%;
}
/* contains letter boxes indicating the word */
.guessBox-container {
	display: flex;
	width: 100%;
	justify-content: center;
	align-content: center;
	margin: auto;
}
/* boxes for each letter in the word */
.guessBox {
	flex: 1;
	max-width: 75px;
	height: 100px;
	margin: 5% 2%;
	background: rgba(104, 96, 230, .2);
	border-radius: 5px;
	box-shadow: -1px -1px 5px 2px rgba(0, 0, 0, 0.075);
	text-align: center;
	font-size: 4rem;
  color: #fff;
  text-shadow: 2px 2px 4px #000;
}
#keyboard {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	align-items: center;
	margin: 2% auto;
	width: 80%;
	max-width: 1250px;
	margin-bottom: 20%;
	padding: 2%;
	background: rgba(104, 96, 230, .2);
	border-radius: 20px;
	box-shadow: 1px 1px 10px 2px rgba(0, 0, 0, 0.1);
}
/* keyboard buttons */
.lettbtn {
	flex: 1;
	max-width: 100px;
	display: inline-block;
	margin: 10px;
	padding: 0px 20px;
	text-align: center;
	line-height: 3rem;
	font-size: 24pt;
	font-weight: 400;
	text-decoration: none;
	background: rgb(255, 65, 22);
	color: #fff;
	border: none;
	border-radius: 5px;
	box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.2);
	transition: .3s ease;
}
.lettbtn:hover {
	box-shadow: 1px 1px 10px 5px rgba(0, 0, 0, 0.25);
	font-size: 26pt;
	transform: scale(1.002, 1.002);
}
.lettbtn:disabled, .lettbtn-disabled {
	color: #8d8d8d;
	background-color: #686868;
}
.keyboardDisable, #keyboard.disabled .lettbtn {
	color: #8d8d8d !important;
	background-color: #686868 !important;
	pointer-events: none;
	display: none;
}
/* msg indicating that it is the other player's turn */
#otherPlayerMsg {
	display: none;
  color: #fff;
}
#keyboard.disabled #otherPlayerMsg {
	display: block;
}

/******* CHAT ROOM STYLING *******/
#chatRoom {
	position: fixed;
	top: 0;
	right: 0;
	width: 20%;
	max-width: 400px;
	min-width: 200px;
	height: 100%;
	background-color: #fff;
	box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.075);
}
.chat-container {
	height: 94.5%;
	overflow-y: scroll;
	margin: 0 3%;
}
#chat-container h4 {
	margin-bottom: 0;
	margin-right: 2%;
	margin-left: 2%;
	font-size: .9rem;
	color: rgba(0, 0, 0, 0.5);
}
.player-Host {
	text-align: right;
}
.player-Guest {
	text-align: left;
}
.speechBubble {
	margin: 2% 2%;
	margin-top: 0;
	padding: 10px;
	max-width: 80%;
	font-weight: 400;
	border-radius: 10px;
	box-shadow: inset 0 1px 10px 5px rgba(255, 255, 255, 0.075);
}
.speechBubble-Host {
	background: rgb(255, 65, 22);
	/* system default */
	background: linear-gradient(90deg, rgba(255, 65, 22, .8) 0%, rgba(104, 96, 230, .8) 100%);
	margin: 10px;
	margin-left: 35px;
	border-bottom-right-radius: 0px;
	color: #fff;
}
.speechBubble-Guest {
	background-color: #ededed;
	margin: 10px;
	margin-right: 35px;
	border-bottom-left-radius: 0px;
	color: black;
}
.speechBubble-system {
	background-color: rgba(255, 65, 22, .3);
	border-radius: 5px;
	margin: 10px auto;
	color: rgb(255, 65, 22);
	max-width: 75%;
}
#msg-input-container {
	width: 100%;
	padding: 2%;
	display: flex;
	flex-flow: row row-reverse;
	justify-content: space-between;
	background-color: rgba(255, 65, 22, 0.05);
	box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.075);
}
#msg-input-field {
	box-shadow: -1px -1px 10px 1px rgba(0, 0, 0, 0.2);
	border: unset;
	width: 70%;
	min-width: 100px;
	font-size: 1.15rem;
	padding: 1%;
	padding-left: 15px;
	border-radius: 20px;
}
[type=submit] {
	float: right;
	background-color: rgb(255, 65, 22);
	border: solid 1px rgb(255, 65, 22, 0);
	border-radius: 20px;
	padding: 5px 15px;
	font-size: 1rem;
	font-weight: 400;
	color: #fff;
}
@media only screen and (max-width: 900px) {
	#chatRoom {
		top: unset;
		bottom: 0;
		height: 30%;
		width: 100%;
		padding-bottom: 20px;
		padding-right: 10px;
		padding-left: 10px;
	}
	#chat-container {
		height: 80%;
	}
	#chat-container h4 {
		padding-left: 30px;
	}
	.player-host {
		padding-right: 30px;
	}
	#msg-input-container {
		width: 97%;
		padding: 2% 3%;
	}
	.container {
		width: 100%;
	}
}
@media only screen and (max-width: 550px) {
	main {
		padding-bottom: 0;
	}
	.container {
		position: unset;
	}
	.guessBox {
		flex: 1;
		max-width: 40px;
		height: 50px;
		margin: 1%;
		margin-top: 20px;
		font-size: 2rem;
		box-shadow: -1px -1px 5px 1px rgba(0, 0, 0, 0.1);
	}
	#keyboard {
		margin-top: 30px;
		width: 80%;
		box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.1);
	}
	.lettbtn {
		min-width: 30px;
		margin: 5px;
		padding: 0 10px;
		font-size: 16pt;
	}
	.lettbtn:hover {
		box-shadow: 1px 1px 10px 5px rgba(0, 0, 0, 0.25);
		font-size: 18pt;
	}
    #chatRoom {
		position: absolute;
		left: 0;
		bottom: 0;
        width: 100vw;
        height: 30vh;
        padding: 0;
    }

    #chat-container {
        height: 70%;
        overflow-y: scroll;
        padding: 0 4%;
    }

    #chat-container h4 {
        margin-top: 10px;
    }
	.player1-handle {
		margin-top: 0;
	}
	.speechBubble-system:last-of-type {
		margin-bottom: 30px;
	}
	#msg-input-container {
		height: 20%;
		width: 97%;
		padding: 3% 3%;
	}
	#msg-input-field {
		box-shadow: -1px -1px 10px 1px rgba(0, 0, 0, 0.2);
		border: unset;
		border: 1px solid rgba(104, 96, 230, .3);
		border: 1px solid rgba(255, 65, 22, .3);
		width: 80%;
		min-width: 100px;
		height: 30px;
		font-size: 1.15rem;
		padding: 1%;
		padding-left: 1%;
		padding-left: 15px;
		border-radius: 5px;
	}
	[type=submit] {
		padding: 5px 10px;
		margin: 0 auto;
	}
	.game-msg-container{
		margin-top: 70px;
		padding: 20px;
		width: 300px;
		font-size: 1.5rem;
	}.gameOver-btn, #loginGoogle {
		width: 250px !important;
		font-size: 1.75rem !important;
	}#loginGoogle {
		font-size: 1.5rem !important;
	}
  .play-logo {
	display: none;
}
}